/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package dtt.nuocsach.dao.sync.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the ThongTinKiemDemNuoc service. Represents a row in the &quot;me_thongtinkiemdemnuoc&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link dtt.nuocsach.dao.sync.model.impl.ThongTinKiemDemNuocModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link dtt.nuocsach.dao.sync.model.impl.ThongTinKiemDemNuocImpl}.
 * </p>
 *
 * @author quangtrung
 * @see ThongTinKiemDemNuoc
 * @see dtt.nuocsach.dao.sync.model.impl.ThongTinKiemDemNuocImpl
 * @see dtt.nuocsach.dao.sync.model.impl.ThongTinKiemDemNuocModelImpl
 * @generated
 */
public interface ThongTinKiemDemNuocModel extends BaseModel<ThongTinKiemDemNuoc> {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a thong tin kiem dem nuoc model instance should use the {@link ThongTinKiemDemNuoc} interface instead.
	 */

	/**
	 * Returns the primary key of this thong tin kiem dem nuoc.
	 *
	 * @return the primary key of this thong tin kiem dem nuoc
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this thong tin kiem dem nuoc.
	 *
	 * @param primaryKey the primary key of this thong tin kiem dem nuoc
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the ID of this thong tin kiem dem nuoc.
	 *
	 * @return the ID of this thong tin kiem dem nuoc
	 */
	public long getId();

	/**
	 * Sets the ID of this thong tin kiem dem nuoc.
	 *
	 * @param id the ID of this thong tin kiem dem nuoc
	 */
	public void setId(long id);

	/**
	 * Returns the dau noi nuoc ID of this thong tin kiem dem nuoc.
	 *
	 * @return the dau noi nuoc ID of this thong tin kiem dem nuoc
	 */
	public long getDauNoiNuocId();

	/**
	 * Sets the dau noi nuoc ID of this thong tin kiem dem nuoc.
	 *
	 * @param dauNoiNuocId the dau noi nuoc ID of this thong tin kiem dem nuoc
	 */
	public void setDauNoiNuocId(long dauNoiNuocId);

	/**
	 * Returns the ke hoach kiem dem nuoc ID of this thong tin kiem dem nuoc.
	 *
	 * @return the ke hoach kiem dem nuoc ID of this thong tin kiem dem nuoc
	 */
	public int getKeHoachKiemDemNuocId();

	/**
	 * Sets the ke hoach kiem dem nuoc ID of this thong tin kiem dem nuoc.
	 *
	 * @param keHoachKiemDemNuocId the ke hoach kiem dem nuoc ID of this thong tin kiem dem nuoc
	 */
	public void setKeHoachKiemDemNuocId(int keHoachKiemDemNuocId);

	/**
	 * Returns the ma tinh of this thong tin kiem dem nuoc.
	 *
	 * @return the ma tinh of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getMaTinh();

	/**
	 * Sets the ma tinh of this thong tin kiem dem nuoc.
	 *
	 * @param maTinh the ma tinh of this thong tin kiem dem nuoc
	 */
	public void setMaTinh(String maTinh);

	/**
	 * Returns the ma huyen of this thong tin kiem dem nuoc.
	 *
	 * @return the ma huyen of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getMaHuyen();

	/**
	 * Sets the ma huyen of this thong tin kiem dem nuoc.
	 *
	 * @param maHuyen the ma huyen of this thong tin kiem dem nuoc
	 */
	public void setMaHuyen(String maHuyen);

	/**
	 * Returns the ma xa of this thong tin kiem dem nuoc.
	 *
	 * @return the ma xa of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getMaXa();

	/**
	 * Sets the ma xa of this thong tin kiem dem nuoc.
	 *
	 * @param maXa the ma xa of this thong tin kiem dem nuoc
	 */
	public void setMaXa(String maXa);

	/**
	 * Returns the thon xom of this thong tin kiem dem nuoc.
	 *
	 * @return the thon xom of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getThonXom();

	/**
	 * Sets the thon xom of this thong tin kiem dem nuoc.
	 *
	 * @param thonXom the thon xom of this thong tin kiem dem nuoc
	 */
	public void setThonXom(String thonXom);

	/**
	 * Returns the ten chu ho of this thong tin kiem dem nuoc.
	 *
	 * @return the ten chu ho of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getTenChuHo();

	/**
	 * Sets the ten chu ho of this thong tin kiem dem nuoc.
	 *
	 * @param tenChuHo the ten chu ho of this thong tin kiem dem nuoc
	 */
	public void setTenChuHo(String tenChuHo);

	/**
	 * Returns the gioi tinh chu ho of this thong tin kiem dem nuoc.
	 *
	 * @return the gioi tinh chu ho of this thong tin kiem dem nuoc
	 */
	public int getGioiTinhChuHo();

	/**
	 * Sets the gioi tinh chu ho of this thong tin kiem dem nuoc.
	 *
	 * @param gioiTinhChuHo the gioi tinh chu ho of this thong tin kiem dem nuoc
	 */
	public void setGioiTinhChuHo(int gioiTinhChuHo);

	/**
	 * Returns the ngay kiem dem of this thong tin kiem dem nuoc.
	 *
	 * @return the ngay kiem dem of this thong tin kiem dem nuoc
	 */
	public Date getNgayKiemDem();

	/**
	 * Sets the ngay kiem dem of this thong tin kiem dem nuoc.
	 *
	 * @param ngayKiemDem the ngay kiem dem of this thong tin kiem dem nuoc
	 */
	public void setNgayKiemDem(Date ngayKiemDem);

	/**
	 * Returns the ho ten nguoi tra loi of this thong tin kiem dem nuoc.
	 *
	 * @return the ho ten nguoi tra loi of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getHoTenNguoiTraLoi();

	/**
	 * Sets the ho ten nguoi tra loi of this thong tin kiem dem nuoc.
	 *
	 * @param hoTenNguoiTraLoi the ho ten nguoi tra loi of this thong tin kiem dem nuoc
	 */
	public void setHoTenNguoiTraLoi(String hoTenNguoiTraLoi);

	/**
	 * Returns the la chu ho khong of this thong tin kiem dem nuoc.
	 *
	 * @return the la chu ho khong of this thong tin kiem dem nuoc
	 */
	public int getLaChuHoKhong();

	/**
	 * Sets the la chu ho khong of this thong tin kiem dem nuoc.
	 *
	 * @param laChuHoKhong the la chu ho khong of this thong tin kiem dem nuoc
	 */
	public void setLaChuHoKhong(int laChuHoKhong);

	/**
	 * Returns the gioi tinh nguoi tra loi of this thong tin kiem dem nuoc.
	 *
	 * @return the gioi tinh nguoi tra loi of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getGioiTinhNguoiTraLoi();

	/**
	 * Sets the gioi tinh nguoi tra loi of this thong tin kiem dem nuoc.
	 *
	 * @param gioiTinhNguoiTraLoi the gioi tinh nguoi tra loi of this thong tin kiem dem nuoc
	 */
	public void setGioiTinhNguoiTraLoi(String gioiTinhNguoiTraLoi);

	/**
	 * Returns the ten dan toc of this thong tin kiem dem nuoc.
	 *
	 * @return the ten dan toc of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getTenDanToc();

	/**
	 * Sets the ten dan toc of this thong tin kiem dem nuoc.
	 *
	 * @param tenDanToc the ten dan toc of this thong tin kiem dem nuoc
	 */
	public void setTenDanToc(String tenDanToc);

	/**
	 * Returns the kinh do of this thong tin kiem dem nuoc.
	 *
	 * @return the kinh do of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getKinhDo();

	/**
	 * Sets the kinh do of this thong tin kiem dem nuoc.
	 *
	 * @param kinhDo the kinh do of this thong tin kiem dem nuoc
	 */
	public void setKinhDo(String kinhDo);

	/**
	 * Returns the vi do of this thong tin kiem dem nuoc.
	 *
	 * @return the vi do of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getViDo();

	/**
	 * Sets the vi do of this thong tin kiem dem nuoc.
	 *
	 * @param viDo the vi do of this thong tin kiem dem nuoc
	 */
	public void setViDo(String viDo);

	/**
	 * Returns the so nguoi trong ho of this thong tin kiem dem nuoc.
	 *
	 * @return the so nguoi trong ho of this thong tin kiem dem nuoc
	 */
	public int getSoNguoiTrongHo();

	/**
	 * Sets the so nguoi trong ho of this thong tin kiem dem nuoc.
	 *
	 * @param soNguoiTrongHo the so nguoi trong ho of this thong tin kiem dem nuoc
	 */
	public void setSoNguoiTrongHo(int soNguoiTrongHo);

	/**
	 * Returns the thanh phan ho gd of this thong tin kiem dem nuoc.
	 *
	 * @return the thanh phan ho gd of this thong tin kiem dem nuoc
	 */
	public int getThanhPhanHoGd();

	/**
	 * Sets the thanh phan ho gd of this thong tin kiem dem nuoc.
	 *
	 * @param thanhPhanHoGd the thanh phan ho gd of this thong tin kiem dem nuoc
	 */
	public void setThanhPhanHoGd(int thanhPhanHoGd);

	/**
	 * Returns the chu ho dung ds of this thong tin kiem dem nuoc.
	 *
	 * @return the chu ho dung ds of this thong tin kiem dem nuoc
	 */
	public int getChuHoDungDs();

	/**
	 * Sets the chu ho dung ds of this thong tin kiem dem nuoc.
	 *
	 * @param chuHoDungDs the chu ho dung ds of this thong tin kiem dem nuoc
	 */
	public void setChuHoDungDs(int chuHoDungDs);

	/**
	 * Returns the ly do khong dung ds of this thong tin kiem dem nuoc.
	 *
	 * @return the ly do khong dung ds of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getLyDoKhongDungDs();

	/**
	 * Sets the ly do khong dung ds of this thong tin kiem dem nuoc.
	 *
	 * @param lyDoKhongDungDs the ly do khong dung ds of this thong tin kiem dem nuoc
	 */
	public void setLyDoKhongDungDs(String lyDoKhongDungDs);

	/**
	 * Returns the ten chu ho hien tai of this thong tin kiem dem nuoc.
	 *
	 * @return the ten chu ho hien tai of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getTenChuHoHienTai();

	/**
	 * Sets the ten chu ho hien tai of this thong tin kiem dem nuoc.
	 *
	 * @param tenChuHoHienTai the ten chu ho hien tai of this thong tin kiem dem nuoc
	 */
	public void setTenChuHoHienTai(String tenChuHoHienTai);

	/**
	 * Returns the gioi tinh chu ho hien tai of this thong tin kiem dem nuoc.
	 *
	 * @return the gioi tinh chu ho hien tai of this thong tin kiem dem nuoc
	 */
	public int getGioiTinhChuHoHienTai();

	/**
	 * Sets the gioi tinh chu ho hien tai of this thong tin kiem dem nuoc.
	 *
	 * @param gioiTinhChuHoHienTai the gioi tinh chu ho hien tai of this thong tin kiem dem nuoc
	 */
	public void setGioiTinhChuHoHienTai(int gioiTinhChuHoHienTai);

	/**
	 * Returns the dau noi chua of this thong tin kiem dem nuoc.
	 *
	 * @return the dau noi chua of this thong tin kiem dem nuoc
	 */
	public int getDauNoiChua();

	/**
	 * Sets the dau noi chua of this thong tin kiem dem nuoc.
	 *
	 * @param dauNoiChua the dau noi chua of this thong tin kiem dem nuoc
	 */
	public void setDauNoiChua(int dauNoiChua);

	/**
	 * Returns the anh dau noi of this thong tin kiem dem nuoc.
	 *
	 * @return the anh dau noi of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getAnhDauNoi();

	/**
	 * Sets the anh dau noi of this thong tin kiem dem nuoc.
	 *
	 * @param anhDauNoi the anh dau noi of this thong tin kiem dem nuoc
	 */
	public void setAnhDauNoi(String anhDauNoi);

	/**
	 * Returns the thoi gian dau hop dong of this thong tin kiem dem nuoc.
	 *
	 * @return the thoi gian dau hop dong of this thong tin kiem dem nuoc
	 */
	public Date getThoiGianDauHopDong();

	/**
	 * Sets the thoi gian dau hop dong of this thong tin kiem dem nuoc.
	 *
	 * @param thoiGianDauHopDong the thoi gian dau hop dong of this thong tin kiem dem nuoc
	 */
	public void setThoiGianDauHopDong(Date thoiGianDauHopDong);

	/**
	 * Returns the thoi gian dau noi thuc te of this thong tin kiem dem nuoc.
	 *
	 * @return the thoi gian dau noi thuc te of this thong tin kiem dem nuoc
	 */
	public Date getThoiGianDauNoiThucTe();

	/**
	 * Sets the thoi gian dau noi thuc te of this thong tin kiem dem nuoc.
	 *
	 * @param thoiGianDauNoiThucTe the thoi gian dau noi thuc te of this thong tin kiem dem nuoc
	 */
	public void setThoiGianDauNoiThucTe(Date thoiGianDauNoiThucTe);

	/**
	 * Returns the voi nuoc chay khong of this thong tin kiem dem nuoc.
	 *
	 * @return the voi nuoc chay khong of this thong tin kiem dem nuoc
	 */
	public int getVoiNuocChayKhong();

	/**
	 * Sets the voi nuoc chay khong of this thong tin kiem dem nuoc.
	 *
	 * @param voiNuocChayKhong the voi nuoc chay khong of this thong tin kiem dem nuoc
	 */
	public void setVoiNuocChayKhong(int voiNuocChayKhong);

	/**
	 * Returns the nuoc trong khong of this thong tin kiem dem nuoc.
	 *
	 * @return the nuoc trong khong of this thong tin kiem dem nuoc
	 */
	public int getNuocTrongKhong();

	/**
	 * Sets the nuoc trong khong of this thong tin kiem dem nuoc.
	 *
	 * @param nuocTrongKhong the nuoc trong khong of this thong tin kiem dem nuoc
	 */
	public void setNuocTrongKhong(int nuocTrongKhong);

	/**
	 * Returns the mau nuoc of this thong tin kiem dem nuoc.
	 *
	 * @return the mau nuoc of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getMauNuoc();

	/**
	 * Sets the mau nuoc of this thong tin kiem dem nuoc.
	 *
	 * @param mauNuoc the mau nuoc of this thong tin kiem dem nuoc
	 */
	public void setMauNuoc(String mauNuoc);

	/**
	 * Returns the mui nuoc of this thong tin kiem dem nuoc.
	 *
	 * @return the mui nuoc of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getMuiNuoc();

	/**
	 * Sets the mui nuoc of this thong tin kiem dem nuoc.
	 *
	 * @param muiNuoc the mui nuoc of this thong tin kiem dem nuoc
	 */
	public void setMuiNuoc(String muiNuoc);

	/**
	 * Returns the vi nuoc of this thong tin kiem dem nuoc.
	 *
	 * @return the vi nuoc of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getViNuoc();

	/**
	 * Sets the vi nuoc of this thong tin kiem dem nuoc.
	 *
	 * @param viNuoc the vi nuoc of this thong tin kiem dem nuoc
	 */
	public void setViNuoc(String viNuoc);

	/**
	 * Returns the loai khac of this thong tin kiem dem nuoc.
	 *
	 * @return the loai khac of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getLoaiKhac();

	/**
	 * Sets the loai khac of this thong tin kiem dem nuoc.
	 *
	 * @param loaiKhac the loai khac of this thong tin kiem dem nuoc
	 */
	public void setLoaiKhac(String loaiKhac);

	/**
	 * Returns the da tung duc khong of this thong tin kiem dem nuoc.
	 *
	 * @return the da tung duc khong of this thong tin kiem dem nuoc
	 */
	public int getDaTungDucKhong();

	/**
	 * Sets the da tung duc khong of this thong tin kiem dem nuoc.
	 *
	 * @param daTungDucKhong the da tung duc khong of this thong tin kiem dem nuoc
	 */
	public void setDaTungDucKhong(int daTungDucKhong);

	/**
	 * Returns the mau nuoc tung co of this thong tin kiem dem nuoc.
	 *
	 * @return the mau nuoc tung co of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getMauNuocTungCo();

	/**
	 * Sets the mau nuoc tung co of this thong tin kiem dem nuoc.
	 *
	 * @param mauNuocTungCo the mau nuoc tung co of this thong tin kiem dem nuoc
	 */
	public void setMauNuocTungCo(String mauNuocTungCo);

	/**
	 * Returns the mui nuoc tung co of this thong tin kiem dem nuoc.
	 *
	 * @return the mui nuoc tung co of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getMuiNuocTungCo();

	/**
	 * Sets the mui nuoc tung co of this thong tin kiem dem nuoc.
	 *
	 * @param muiNuocTungCo the mui nuoc tung co of this thong tin kiem dem nuoc
	 */
	public void setMuiNuocTungCo(String muiNuocTungCo);

	/**
	 * Returns the vi nuoc tung co of this thong tin kiem dem nuoc.
	 *
	 * @return the vi nuoc tung co of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getViNuocTungCo();

	/**
	 * Sets the vi nuoc tung co of this thong tin kiem dem nuoc.
	 *
	 * @param viNuocTungCo the vi nuoc tung co of this thong tin kiem dem nuoc
	 */
	public void setViNuocTungCo(String viNuocTungCo);

	/**
	 * Returns the loai khac tung co of this thong tin kiem dem nuoc.
	 *
	 * @return the loai khac tung co of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getLoaiKhacTungCo();

	/**
	 * Sets the loai khac tung co of this thong tin kiem dem nuoc.
	 *
	 * @param loaiKhacTungCo the loai khac tung co of this thong tin kiem dem nuoc
	 */
	public void setLoaiKhacTungCo(String loaiKhacTungCo);

	/**
	 * Returns the co be chua nuoc of this thong tin kiem dem nuoc.
	 *
	 * @return the co be chua nuoc of this thong tin kiem dem nuoc
	 */
	public int getCoBeChuaNuoc();

	/**
	 * Sets the co be chua nuoc of this thong tin kiem dem nuoc.
	 *
	 * @param coBeChuaNuoc the co be chua nuoc of this thong tin kiem dem nuoc
	 */
	public void setCoBeChuaNuoc(int coBeChuaNuoc);

	/**
	 * Returns the tinh trang be of this thong tin kiem dem nuoc.
	 *
	 * @return the tinh trang be of this thong tin kiem dem nuoc
	 */
	public int getTinhTrangBe();

	/**
	 * Sets the tinh trang be of this thong tin kiem dem nuoc.
	 *
	 * @param tinhTrangBe the tinh trang be of this thong tin kiem dem nuoc
	 */
	public void setTinhTrangBe(int tinhTrangBe);

	/**
	 * Returns the anh be chua of this thong tin kiem dem nuoc.
	 *
	 * @return the anh be chua of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getAnhBeChua();

	/**
	 * Sets the anh be chua of this thong tin kiem dem nuoc.
	 *
	 * @param anhBeChua the anh be chua of this thong tin kiem dem nuoc
	 */
	public void setAnhBeChua(String anhBeChua);

	/**
	 * Returns the bi mat nuoc of this thong tin kiem dem nuoc.
	 *
	 * @return the bi mat nuoc of this thong tin kiem dem nuoc
	 */
	public int getBiMatNuoc();

	/**
	 * Sets the bi mat nuoc of this thong tin kiem dem nuoc.
	 *
	 * @param biMatNuoc the bi mat nuoc of this thong tin kiem dem nuoc
	 */
	public void setBiMatNuoc(int biMatNuoc);

	/**
	 * Returns the so lan mat nuoc of this thong tin kiem dem nuoc.
	 *
	 * @return the so lan mat nuoc of this thong tin kiem dem nuoc
	 */
	public int getSoLanMatNuoc();

	/**
	 * Sets the so lan mat nuoc of this thong tin kiem dem nuoc.
	 *
	 * @param soLanMatNuoc the so lan mat nuoc of this thong tin kiem dem nuoc
	 */
	public void setSoLanMatNuoc(int soLanMatNuoc);

	/**
	 * Returns the so gio trung binh of this thong tin kiem dem nuoc.
	 *
	 * @return the so gio trung binh of this thong tin kiem dem nuoc
	 */
	public int getSoGioTrungBinh();

	/**
	 * Sets the so gio trung binh of this thong tin kiem dem nuoc.
	 *
	 * @param soGioTrungBinh the so gio trung binh of this thong tin kiem dem nuoc
	 */
	public void setSoGioTrungBinh(int soGioTrungBinh);

	/**
	 * Returns the so se ry dong ho of this thong tin kiem dem nuoc.
	 *
	 * @return the so se ry dong ho of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getSoSeRyDongHo();

	/**
	 * Sets the so se ry dong ho of this thong tin kiem dem nuoc.
	 *
	 * @param soSeRyDongHo the so se ry dong ho of this thong tin kiem dem nuoc
	 */
	public void setSoSeRyDongHo(String soSeRyDongHo);

	/**
	 * Returns the chi so dong ho of this thong tin kiem dem nuoc.
	 *
	 * @return the chi so dong ho of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getChiSoDongHo();

	/**
	 * Sets the chi so dong ho of this thong tin kiem dem nuoc.
	 *
	 * @param chiSoDongHo the chi so dong ho of this thong tin kiem dem nuoc
	 */
	public void setChiSoDongHo(String chiSoDongHo);

	/**
	 * Returns the anh dong ho of this thong tin kiem dem nuoc.
	 *
	 * @return the anh dong ho of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getAnhDongHo();

	/**
	 * Sets the anh dong ho of this thong tin kiem dem nuoc.
	 *
	 * @param anhDongHo the anh dong ho of this thong tin kiem dem nuoc
	 */
	public void setAnhDongHo(String anhDongHo);

	/**
	 * Returns the ghi chu of this thong tin kiem dem nuoc.
	 *
	 * @return the ghi chu of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getGhiChu();

	/**
	 * Sets the ghi chu of this thong tin kiem dem nuoc.
	 *
	 * @param ghiChu the ghi chu of this thong tin kiem dem nuoc
	 */
	public void setGhiChu(String ghiChu);

	/**
	 * Returns the da ket thuc dieu tra of this thong tin kiem dem nuoc.
	 *
	 * @return the da ket thuc dieu tra of this thong tin kiem dem nuoc
	 */
	public int getDaKetThucDieuTra();

	/**
	 * Sets the da ket thuc dieu tra of this thong tin kiem dem nuoc.
	 *
	 * @param daKetThucDieuTra the da ket thuc dieu tra of this thong tin kiem dem nuoc
	 */
	public void setDaKetThucDieuTra(int daKetThucDieuTra);

	/**
	 * Returns the ly do khong hoan thanh of this thong tin kiem dem nuoc.
	 *
	 * @return the ly do khong hoan thanh of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getLyDoKhongHoanThanh();

	/**
	 * Sets the ly do khong hoan thanh of this thong tin kiem dem nuoc.
	 *
	 * @param lyDoKhongHoanThanh the ly do khong hoan thanh of this thong tin kiem dem nuoc
	 */
	public void setLyDoKhongHoanThanh(String lyDoKhongHoanThanh);

	/**
	 * Returns the i mei of this thong tin kiem dem nuoc.
	 *
	 * @return the i mei of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getIMei();

	/**
	 * Sets the i mei of this thong tin kiem dem nuoc.
	 *
	 * @param iMei the i mei of this thong tin kiem dem nuoc
	 */
	public void setIMei(String iMei);

	/**
	 * Returns the tai khoan of this thong tin kiem dem nuoc.
	 *
	 * @return the tai khoan of this thong tin kiem dem nuoc
	 */
	@AutoEscape
	public String getTaiKhoan();

	/**
	 * Sets the tai khoan of this thong tin kiem dem nuoc.
	 *
	 * @param taiKhoan the tai khoan of this thong tin kiem dem nuoc
	 */
	public void setTaiKhoan(String taiKhoan);

	/**
	 * Returns the danh gia kiem dem of this thong tin kiem dem nuoc.
	 *
	 * @return the danh gia kiem dem of this thong tin kiem dem nuoc
	 */
	public int getDanhGiaKiemDem();

	/**
	 * Sets the danh gia kiem dem of this thong tin kiem dem nuoc.
	 *
	 * @param danhGiaKiemDem the danh gia kiem dem of this thong tin kiem dem nuoc
	 */
	public void setDanhGiaKiemDem(int danhGiaKiemDem);

	@Override
	public boolean isNew();

	@Override
	public void setNew(boolean n);

	@Override
	public boolean isCachedModel();

	@Override
	public void setCachedModel(boolean cachedModel);

	@Override
	public boolean isEscapedModel();

	@Override
	public Serializable getPrimaryKeyObj();

	@Override
	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	@Override
	public ExpandoBridge getExpandoBridge();

	@Override
	public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

	@Override
	public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

	@Override
	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	@Override
	public Object clone();

	@Override
	public int compareTo(ThongTinKiemDemNuoc thongTinKiemDemNuoc);

	@Override
	public int hashCode();

	@Override
	public CacheModel<ThongTinKiemDemNuoc> toCacheModel();

	@Override
	public ThongTinKiemDemNuoc toEscapedModel();

	@Override
	public ThongTinKiemDemNuoc toUnescapedModel();

	@Override
	public String toString();

	@Override
	public String toXmlString();
}